Subject: Re: bug#72419: 31.0.50; Macro editing can't deal with event appliers

From: Alexander Prähauser <[email-masked]>
Date: Mon, 19 Aug 2024 18:37:37 +0000

"Eli Zaretskii" <[email-masked]> writes:

Sorry for not replying previously, for some reason I didn't see those
mails at all! I guess it's not so important now, but I'm using dual
function keys (which is a pretty awesome program) to virtually map
higher FN-keys, like F16, to the Alt-keys when they are tapped, then
configure Emacs to apply the Meta-modifier when it receives an F16
signal, which it calls XF86Launch6. This way, I don't have to
strain my hand holding Alt to apply Meta and can use the keys to access
another keyboard layer when they are held. Btw, with the same program
one can apply Ctrl when Space is held, greatly reducing hand strain.

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 17 Aug 2024 19:50:01 +0530
>>
>> [சனி ஆகஸ்ட் 17, 2024] Eli Zaretskii wrote:
>>
>> >> Rather than binding a command to XF86Launch6, typing C-x @ m reproduces
>> >> the error here.
>> >
>> > Thanks, but I don't think I follow: type "C-x @ m" instead of which
>> > step in the OP's recipe?
>> >
>> > Could you show a complete recipe, please?
>>
>> Here's what I followed:
>>
>> 1. emacs -Q
>> 2. C-x (
>> 3. C-x @ m x
>> 4. C-g
>> 4. C-x )
>> 5. M-x kmacro-edit-macro RET
>
> Thanks.  This seems to be a very old bug.  Looks like indeed macro
> editing was not adapted to support event modifier-applying commands,
> or maybe it's a problem with function-key-map.
>
> Perhaps Stefan (CC'ed) will have some suggestions.